org.eclipse.viatra.integration.mwe2.eventdriven

## Class MWE2BaseControllableScheduler.MWEBaseControllableSchedulerFactory

- java.lang.Object
- - org.eclipse.viatra.integration.mwe2.eventdriven.MWE2BaseControllableScheduler.MWEBaseControllableSchedulerFactory

- All Implemented Interfaces:
    IController, ISchedulerController<MWE2BaseControllableScheduler>, Scheduler.ISchedulerFactory
  Enclosing class:
    MWE2BaseControllableScheduler

      public static class MWE2BaseControllableScheduler.MWEBaseControllableSchedulerFactory
      extends java.lang.Object
      implements Scheduler.ISchedulerFactory, ISchedulerController<MWE2BaseControllableScheduler>

  ISchedulerFactory implementation that enables the instantiation of MWE2BaseControllableScheduler objects. It is used during the creation of the execution schema of the controllable EVM based event-driven transformation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MWEBaseControllableSchedulerFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isFinished()` If the Step has finished it returns true
    `Scheduler` | `prepareScheduler(ScheduledExecution execution)` Creates a scheduler for the given executor.
    `void` | `run()` Starts the execution of the given step
    `void` | `setScheduler(MWE2BaseControllableScheduler scheduler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MWEBaseControllableSchedulerFactory

          public MWEBaseControllableSchedulerFactory()

  - ### Method Detail

    - #### prepareScheduler

          public Scheduler prepareScheduler(ScheduledExecution execution)

      Description copied from interface: `Scheduler.ISchedulerFactory`
      Creates a scheduler for the given executor.
      Specified by:
        `prepareScheduler` in interface `Scheduler.ISchedulerFactory`

    - #### setScheduler

          public void setScheduler(MWE2BaseControllableScheduler scheduler)

      Specified by:
        `setScheduler` in interface `ISchedulerController<MWE2BaseControllableScheduler>`

    - #### run

          public void run()

      Description copied from interface: `IController`
      Starts the execution of the given step
      Specified by:
        `run` in interface `IController`

    - #### isFinished

          public boolean isFinished()

      Description copied from interface: `IController`
      If the Step has finished it returns true
      Specified by:
        `isFinished` in interface `IController`